button.custom {
    display: block;
    position: relative;
    background-color: transparent;
    border: none;
    padding: 0;
}

button.custom a,
button.custom span {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 0.875rem !important;
    line-height: 1;
    font-weight: 600;
    padding-inline: 15px !important;
    padding-block: 15px !important;
    border-radius: 100px;
    transition: all 0.4s ease;
}

button.custom a::after,
button.custom span::after {
    content: "";
    display: block;
    position: relative;
    min-width: 16px;
    width: 16px;
    height: 16px;
    background-image: url('/images/2026/refonte/icon-fleche-droite-blanc.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    transition: all 0.4s ease;
}

/*BTN 1*/
button.custom.btn-1 a,
button.custom.btn-1 span {
    color: var(--color-light) !important;
    background-color: var(--color-2);
}

button.custom.btn-1 a:hover,
button.custom.btn-1 span:hover {
    background-color: var(--color-1);
}

/*BTN 2*/
button.custom.btn-2 a,
button.custom.btn-2 span {
    color: var(--color-light) !important;
    background-color: var(--color-1);
}

button.custom.btn-2 a:hover,
button.custom.btn-2 span:hover {
    background-color: var(--color-2);
}

/*BTN 3*/
button.custom.btn-3 a,
button.custom.btn-3 span {
    color: var(--color-1) !important;
}

button.custom.btn-3 a::after,
button.custom.btn-3 span::after {
    background-image: url('/images/2026/refonte/icon-fleche-droite-bleu.svg');
    transform: rotate(-45deg);
}

button.custom.btn-3 a:hover,
button.custom.btn-3 span:hover {
    color: var(--color-2) !important;
}

button.custom.btn-3 a:hover::after,
button.custom.btn-3 span:hover::after {
    background-image: url('/images/2026/refonte/icon-fleche-droite-rouge.svg');
}

/*BTN 4*/
button.custom.btn-4 a,
button.custom.btn-4 span {
    color: var(--color-1) !important;
    border: solid 1px var(--color-gray-light) !important;
    background-color: var(--color-light);
}

button.custom.btn-4 a::after,
button.custom.btn-4 span::after {
    background-image: url('/images/2026/refonte/icon-fleche-droite-bleu.svg');
}

button.custom.btn-4 a:hover,
button.custom.btn-4 span:hover {
    color: var(--color-2) !important;
    border-color: var(--color-2) !important;
}

button.custom.btn-4 a:hover::after,
button.custom.btn-4 span:hover::after {
    background-image: url('/images/2026/refonte/icon-fleche-droite-rouge.svg');
}

/*BTN 5*/
button.custom.btn-5 a,
button.custom.btn-5 span {
    padding: 0 !important;
    color: var(--color-2) !important;
    background-color: transparent;
}

button.custom.btn-5 a::after,
button.custom.btn-5 span::after {
    background-image: url('/images/2026/refonte/icon-fleche-droite-rouge.svg');
}

/*BTN 6*/
button.custom.btn-6 a,
button.custom.btn-6 span {
    color: var(--color-1) !important;
    background-color: var(--color-light);
}

button.custom.btn-6 a::after,
button.custom.btn-6 span::after {
    background-image: url('/images/2026/refonte/icon-fleche-droite-bleu.svg');
}

button.custom.btn-6 a:hover,
button.custom.btn-6 span:hover {
    background-color: var(--color-3);
}

@media (max-width: 768px) {

    button.custom a,
    button.custom span {
        font-size: 0.8rem !important;
        padding-inline: 10px !important;
        padding-block: 10px !important;
    }
}